Lavalite package that provides pricelist management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `chemical/pricelist`.

    "chemical/pricelist": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Chemical\Pricelist\Providers\PricelistServiceProvider::class,

And also add it to alias

    'Pricelist'  => Chemical\Pricelist\Facades\Pricelist::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Chemical\\PricelistTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Chemical\Pricelist\Providers\PricelistServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Chemical\Pricelist\Providers\PricelistServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Chemical\Pricelist\Providers\PricelistServiceProvider" --tag="view"


## Usage


