            @include('pricelist::pricelist.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('pricelist::pricelist.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($pricelist->defaultImage('images' , 'xl'))!!}" alt="{{$pricelist->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('pricelist::pricelist.label.id') !!}
                </label><br />
                    {!! $pricelist['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('pricelist::pricelist.label.slug') !!}
                </label><br />
                    {!! $pricelist['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('pricelist::pricelist.label.name') !!}
                </label><br />
                    {!! $pricelist['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('pricelist::pricelist.label.status') !!}
                </label><br />
                    {!! $pricelist['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="order">
                    {!! trans('pricelist::pricelist.label.order') !!}
                </label><br />
                    {!! $pricelist['order'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="price">
                    {!! trans('pricelist::pricelist.label.price') !!}
                </label><br />
                    {!! $pricelist['price'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="details">
                    {!! trans('pricelist::pricelist.label.details') !!}
                </label><br />
                    {!! $pricelist['details'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('pricelist::pricelist.label.created_at') !!}
                </label><br />
                    {!! $pricelist['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('pricelist::pricelist.label.updated_at') !!}
                </label><br />
                    {!! $pricelist['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('pricelist::pricelist.label.deleted_at') !!}
                </label><br />
                    {!! $pricelist['deleted_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('pricelist::pricelist.label.name'))
                       -> placeholder(trans('pricelist::pricelist.placeholder.name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('order')
                       -> label(trans('pricelist::pricelist.label.order'))
                       -> placeholder(trans('pricelist::pricelist.placeholder.order'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('price')
                       -> label(trans('pricelist::pricelist.label.price'))
                       -> placeholder(trans('pricelist::pricelist.placeholder.price'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::textarea ('details')
                    -> label(trans('pricelist::pricelist.label.details'))
                    -> placeholder(trans('pricelist::pricelist.placeholder.details'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



