<?php

namespace Chemical\Pricelist\Repositories\Eloquent;

use Chemical\Pricelist\Interfaces\PricelistRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PricelistRepository extends BaseRepository implements PricelistRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('chemical.pricelist.pricelist.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('chemical.pricelist.pricelist.model.model');
    }
}
